Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005202TestLinkKeywordspublic2012-09-05 18:282016-03-01 09:43
ReporterAdilson1 
Assigned To 
PriorityhighSeverityfeature requestReproducibilityalways
StatusnewResolutionopen 
PlatformPCOSLinux RHELOS Version5
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version 
Summary0005202: Currently there is no way to remove specific keywords from all test cases under a test suite.
DescriptionCurrently there is no way to remove specific keywords from all test cases under a test suite.

Bug 4934 was marked fixed for the ability to bulk add specific keywords to test cases without affecting the current keyword assignment in test cases under a test suite. The fix gave the ability of users to add the keyword to the test cases under the test suite but not remove them.

I would think that the same feature be available for removal of keywords for test cases under a test suite. The reason for this is the following: whenever our QA organization tests a new minor update to our SW, we want to mark the new features tests cases with a "NewFeature" keyword so that we can give priority to those test cases without affecting existing keywords. (Fized by bug 4934).

When the release is finished, we would want to remove the "NewFeature" keyword without affecting existing keywords assigned to test cases under the test suite. There is currently no way to remove the "NewFeature" keyword from test suites, only per test case basis which is very cumbersome.

Using example in techieguy's comments in his report of bug 4934, suppose I had a test suite with the following test cases and keyword assignments:

TC A- Key1/Key2/Key7
TC B- Key3/Key4/Key7
TC C- Key5/Key6/Key7

Now I want to remove keyword Key7 and go into the Keyword Assignment from Keywords Page and select the main suite. Since this keyword has to be removed from all the test cases in the test suite. On opening of the Test Suite, there are no keyword displayed in the right pane.

It seems that the fix for bug 4394 should have included a second set of boxes for removing a specific keyword or set of keywords from all test cases under the test suite.

Please see attached png file for example.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserAny
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filespng file icon snagit-capture.png [^] (75,551 bytes) 2012-09-05 18:28


zip file icon testlink-keywords-customization.zip [^] (6,428 bytes) 2015-11-19 06:43
png file icon assigning-keywords.png [^] (21,147 bytes) 2015-11-19 07:58

- Relationships

-  Notes
(0017401)
fman (administrator)
2012-09-05 18:45

>> On opening of the Test Suite,
>> there are no keyword displayed in the right pane.
and this is right because right pane title is 'keywords to be assigned'
(0017505)
Adilson1 (reporter)
2012-09-19 21:40

What I was suggesting is that adding a specific keyword to multiple test cases under a test suite was fixed with the release of v1.9.4.

What I am asking for as a complete solution is also the ability to remove a specific keyword from the test cases under the test suite.
(0023632)
Adilson1 (reporter)
2015-07-14 14:15

This is an enhancement request to provide the ability to also remove a specific keywork from all test suites. The page would just have the additional two list boxes with all the keywords that are found in the test cases under a specific test suite.

Usage: I would like to track New Feature test cases or a specific project by adding a N"New Feature" keyword. This way I could filter all the test cases that have this keyword to determine if all "New Feature" test cases have been executed. At the end of the project I would like to remove this keyword from test cases without clicking on each test case and then removing the keyword. This can become very tedious.

Any input on a workaround would be appreciated.
(0024259)
richinek (reporter)
2015-11-18 12:34

I also vote for the proposed functionality - bulk removing keywords has the same importance as assigning them.

As a workaround we use in Testlink 1.9.10 custom solution. We have added buttons: 'Add & Save', 'Remove & Save' - for adding removing keywords. Screenshot here - http://s15.postimg.org/h8fkg8j9n/assigning_keywords.png [^]

Downloadable from here: http://www.filedropper.com/testlink-keywords-customization [^]

Affected files:
\lib\keywords\keywordsAssign.php
\lib\functions\multiselect.php
\gui\templates\keywords\keywordsAssign.tpl
\gui\templates\multiselect.inc.tpl
(0024267)
fman (administrator)
2015-11-18 22:22

it will be better if you attach file here, it seems is not possible to download from provided link
(0024270)
richinek (reporter)
2015-11-19 07:27

Attached to this ticket.
(0024283)
fman (administrator)
2015-11-20 19:58

ok, thanks
(0024560)
mihiHarshana (reporter)
2016-03-01 09:43

working in 1.9.8 as well thankx

- Issue History
Date Modified Username Field Change
2012-09-05 18:28 Adilson1 New Issue
2012-09-05 18:28 Adilson1 File Added: snagit-capture.png
2012-09-05 18:45 fman Note Added: 0017401
2012-09-19 21:40 Adilson1 Note Added: 0017505
2015-07-14 14:15 Adilson1 Note Added: 0023632
2015-10-13 13:17 mihiHarshana Note Added: 0024120
2015-10-15 20:42 fman Note Deleted: 0024120
2015-11-18 12:34 richinek Note Added: 0024259
2015-11-18 22:22 fman Note Added: 0024267
2015-11-19 06:43 richinek File Added: testlink-keywords-customization.zip
2015-11-19 07:27 richinek Note Added: 0024270
2015-11-19 07:58 richinek File Added: assigning-keywords.png
2015-11-20 19:58 fman Note Added: 0024283
2016-03-01 09:43 mihiHarshana Note Added: 0024560



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker